Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1506862 - [abrt] solaar: update(): window.py:775:update:AssertionError
Summary: [abrt] solaar: update(): window.py:775:update:AssertionError
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0b4f091cd18ed4ef28f440d046f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-27 02:56 UTC by Robert Hancock
Modified: 2018-05-29 11:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:47:07 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-10-27 02:56 UTC, Robert Hancock
no flags Details
File: cgroup (deleted)
2017-10-27 02:56 UTC, Robert Hancock
no flags Details
File: cpuinfo (deleted)
2017-10-27 02:56 UTC, Robert Hancock
no flags Details
File: environ (deleted)
2017-10-27 02:56 UTC, Robert Hancock
no flags Details
File: mountinfo (deleted)
2017-10-27 02:56 UTC, Robert Hancock
no flags Details
File: namespaces (deleted)
2017-10-27 02:56 UTC, Robert Hancock
no flags Details
File: open_fds (deleted)
2017-10-27 02:56 UTC, Robert Hancock
no flags Details

Description Robert Hancock 2017-10-27 02:56:43 UTC
Description of problem:
Happened on login

Version-Release number of selected component:
solaar-0.9.2-4.20150528gitcf27328.fc26.5

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python /usr/bin/solaar
crash_function: update
exception_type: AssertionError
executable:     /usr/bin/solaar
kernel:         4.13.9-200.fc26.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
window.py:775:update:AssertionError

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/solaar/ui/__init__.py", line 165, in _status_changed
    window.update(device, need_popup)
  File "/usr/lib/python2.7/site-packages/solaar/ui/window.py", line 775, in update
    assert item
AssertionError

Local variables in innermost frame:
device: <UnifyingReceiver(/dev/hidraw3,12)>
item: None
is_alive: False
selected_device_id: None
need_popup: 0

Potential duplicate: bug 1290644

Comment 1 Robert Hancock 2017-10-27 02:56:48 UTC
Created attachment 1344116 [details]
File: backtrace

Comment 2 Robert Hancock 2017-10-27 02:56:49 UTC
Created attachment 1344117 [details]
File: cgroup

Comment 3 Robert Hancock 2017-10-27 02:56:50 UTC
Created attachment 1344118 [details]
File: cpuinfo

Comment 4 Robert Hancock 2017-10-27 02:56:51 UTC
Created attachment 1344119 [details]
File: environ

Comment 5 Robert Hancock 2017-10-27 02:56:53 UTC
Created attachment 1344120 [details]
File: mountinfo

Comment 6 Robert Hancock 2017-10-27 02:56:54 UTC
Created attachment 1344121 [details]
File: namespaces

Comment 7 Robert Hancock 2017-10-27 02:56:55 UTC
Created attachment 1344122 [details]
File: open_fds

Comment 8 Fedora End Of Life 2018-05-03 08:21:58 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2018-05-29 11:47:07 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.